<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPersonResult_V3 StructType
 * @subpackage Structs
 */
class GetPersonResult_V3 extends ExecutionResult
{
    /**
     * The Persons
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPersonResult_V3
     */
    public $Persons;
    /**
     * Constructor method for GetPersonResult_V3
     * @uses GetPersonResult_V3::setPersons()
     * @param \ArrayType\ArrayOfPersonResult_V3 $persons
     */
    public function __construct(\ArrayType\ArrayOfPersonResult_V3 $persons = null)
    {
        $this
            ->setPersons($persons);
    }
    /**
     * Get Persons value
     * @return \ArrayType\ArrayOfPersonResult_V3|null
     */
    public function getPersons()
    {
        return $this->Persons;
    }
    /**
     * Set Persons value
     * @param \ArrayType\ArrayOfPersonResult_V3 $persons
     * @return \StructType\GetPersonResult_V3
     */
    public function setPersons(\ArrayType\ArrayOfPersonResult_V3 $persons = null)
    {
        $this->Persons = $persons;
        return $this;
    }
}
